SystemOrganization addCategory: #'DAO-SatelliteUI'!

WAComponent subclass: #DAOSatelliteControllerLauncher
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:39'!
shutDown

	ZnZincServerAdaptor stop 

! !

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/22/2013 22:04'!
startApp

	ZnZincServerAdaptor startOn: 8080.
	WAAdmin register: DAOSatelliteUI asApplicationAt: 'DAOSatelliteUI'

! !

WAComponent subclass: #DAOSatelliteUI
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!DAOSatelliteUI class methodsFor: 'class initialization' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:22'!
initialize

WAAdmin register: DAOSatelliteUI asApplicationAt: 'DAOSatelliteUI'! !

!DAOSatelliteUI methodsFor: 'initialization' stamp: 'EzequielDavidovichCaballero 10/19/2013 13:25'!
initialize

	super initialize.
	count := 0! !

!DAOSatelliteUI methodsFor: 'rendering' stamp: 'EzequielDavidovichCaballero 10/22/2013 22:01'!
renderContentOn: html
	SubsystemsView new renderContentOn: html! !

WAComponent subclass: #SubsystemsView
	instanceVariableNames: 'subsystems'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!SubsystemsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/22/2013 22:06'!
initialize

	| satelite |
	satelite := SatelliteTest satelliteWithAllSubsystems.
	subsystems := satelite subsystems collect: [ :each | each name ]! !

!SubsystemsView methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/22/2013 21:55'!
renderContentOn: html

"Drop-Down Menu"
        html text: 'Subsystem: '.
        html select 
            list: subsystems ;
            selected: subsystems first;
            callback: [ :value |
                true ].
        html break. ! !
DAOSatelliteUI initialize!
